QGIS Application - Bug report #10932
qgis not parsing pg_service.conf properly
2014-07-23 05:41 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19290
Description

| have set up .pg_service.conf for several users on a network. It is working fine on Linux clients and some Windows clients.

But on several Windows clients | get the attached error when connecting to the service.

On these machines the same connection works fine in QGIS browser but gives this error in QGIS desktop. | have experimented with unix
vs windows line endings and different string quotes for the parameters but QGIS seems to add a space to one or more of the parameters

no matter what | try.

QGIS 2.4 in all cases.

Related issues:
Related to QGIS Application - Bug report # 16668: pgpass do not work on qgis ... Closed 2017-06-06

History

#1 - 2014-07-24 01:59 AM - Tim Sutton
- Assignee set to Jirgen Fischer

#2 - 2014-07-24 02:14 AM - Jiirgen Fischer
- Category changed from Data Provider to Data Provider/PostGIS

- Resolution set to up/downstream

- Status changed from Open to Closed

qgis isn't parsing .pg_service.conf, but libpg does. So this might be a packing problem in osgeo4w

#3 - 2014-07-24 02:55 AM - Gavin Fleming

- Category changed from Data Provider/PostGIS to Data Provider
- Resolution deleted (up/downstream)

- Assignee deleted (Jirgen Fischer)

how do you account for it working in qgis browser but not in qgis desktop using the same osgeo4w install on the same machine?

#4 - 2014-08-20 01:55 PM - Juirgen Fischer

The blank in "gis " was a hint. libpq apparently expects the file to have unix style line endings (ie. only LF instead of CRLF).
#5 - 2017-06-08 02:58 PM - Jiirgen Fischer
- Related to Bug report #16668: pgpass do not work on qgis master added
